Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166524 - Errors in rewriting imports
Errors in rewriting imports
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 08:32 UTC by Jan Lahoda
Modified: 2009-07-16 16:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2009-06-04 08:32:06 UTC
[recent sources]

Consider two cases:
-compilation unit with two imports:
import org.jdesktop.layout.GroupLayout;
import org.jdesktop.layout.Baseline;
and a transformation that swaps these imports - the GroupLayout import is missing in the result
-compilation unit with one import:
import org.jdesktop.layout.Baseline;
and a transformation that re-writes it to: "import static org.jdesktop.layout.GroupLayout.CENTER;" - the "import static
" is missing in the result.
Comment 1 Jan Lahoda 2009-06-04 09:22:21 UTC
http://hg.netbeans.org/jet-main/rev/6bd8e190fa62
Comment 2 Quality Engineering 2009-06-08 18:45:05 UTC
Integrated into 'main-golden', will be available in build *200906081401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6bd8e190fa62
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #166524: fixing rewriting of non-static import into a static one and a problem with reordering the imports.
Comment 3 Petr Blaha 2009-07-02 13:31:09 UTC
v.
Comment 4 pgebauer 2009-07-09 10:03:54 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/6a5e5d4098dc
Comment 5 Jiri Prox 2009-07-16 16:12:02 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo